import { createRouter, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      redirect: '/purchaseOrder/create/0',
    },
    {
      name: 'purchaseOrder',
      path: '/purchaseOrder',
      component: () => import('@/pages/purchase-order/index.vue'),
      // redirect: 'create',
      children: [
        {
          path: 'create/:id',
          name: 'purchaseOrderEdit',
          component: () => import('@/pages/purchase-order/edit.vue'),
        },
      ],
    },
    {
      name: 'paymentRecord',
      path: '/payment-record',
      component: () => import('@/pages/payment-record/index.vue'),
    },
    {
      path: '/:pathMatch(.*)*',
      name: 'pageNotFound',
      component: () => import('@/pages/404.vue'),
    },
  ],
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition
    } else {
      return { left: 0, top: 0 }
    }
  },
})

export default router
